/*
  The namespace of both classes is affected by the package declaration
  Usage: java BookPack.BookDemo
  from one directory above the BookPack directory
*/
package BookPack;

class Book {
  private String title;
  private String author;
  private int pubDate;

  Book(String t, String a, int d) {
    title = t;
    author = a;
    pubDate = d;
  }

  void show() {
    System.out.println(title);
    System.out.println(author);
    System.out.println(pubDate);
    System.out.println();
  }
}

class BookDemo {
  public static void main(String args[]) {
    Book myBooks[] = new Book[5];

    myBooks[0] = new Book("Italia",
                        "Pastolini", 2001);
    myBooks[1] = new Book("Venezia e bella",
                        "Sartolona", 2000);
    myBooks[2] = new Book("Roma nella HTML",
                        "Bartolomeo-Stragazzini", 1998);
    myBooks[3] = new Book("Palermo, Palermo", "Maragiallo", 1986);
    myBooks[4] = new Book("Lucca sulla fiume",
                        "Andrometione", 1955);

    for(int i=0; i < myBooks.length; i++)
    {
		myBooks[i].show();
		//System.out.println(myBooks[i].title); // private blocks compiler
	}
  }
}